Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Full detail for a single collection item including tracklist, country, and marketplace data.
cURL
curl --request GET \ --url https://api.rewind.rest/v1/collecting/vinyl/{id} \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rewind.rest/v1/collecting/vinyl/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.rewind.rest/v1/collecting/vinyl/{id}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "id": 1, "discogs_id": 6872464, "title": "Nevermind", "artists": [ "Nirvana" ], "year": 1991, "format": "Vinyl", "format_detail": "[\"LP\",\"Album\"]", "label": "[{\"name\":\"DGC\",\"catno\":\"DGC-24425\"}]", "genres": [ "Rock" ], "styles": [ "Grunge" ], "image": { "url": "https://cdn.rewind.rest/cdn-cgi/image/width=300,height=300,fit=cover,format=auto,quality=85/collecting/releases/6872464/original.jpg?v=1", "thumbhash": "GncKRwaU9niFd3dShlaJSFeJlYCYhGYA", "dominant_color": "#222229", "accent_color": "#9b31ed" }, "date_added": "2026-03-11T16:05:58-07:00", "rating": 0, "discogs_url": "https://www.discogs.com/release/6872464", "tracklist": [ { "position": "1", "title": "Smells Like Teen Spirit", "duration": "5:01" } ], "country": "US", "community_have": 45000, "community_want": 12000, "lowest_price": 25.99, "num_for_sale": 350, "notes": null }
{ "error": "Not found", "status": 404 }
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
Vinyl record detail
Show child attributes